Subject: Re: [BEHAVE] Proposed text and comments for framework for IPv4/IPv6 translation

From: Xing Li <[email-masked]>
Date: Fri, 11 Sep 2009 07:13:18 +0800

bo zhou 写道:
>
>
>
>     However, if the consensus is to add the discussion on application
>     instances, I am happy to add the words.
>
> [bo] Yes, we want to introduce the application type to make the 
> definition more clearly.
we have made some modifications in draft-ietf-behave-v6v4-framework-01
>
>
>     (2) Please see the Sec. 1.2, the border between an IPvx network
>     and the IPvx Internet is not defined by NAT.
>
> [bo] Sorry, I cannot find any words in Sec.1.2 to define the 
> difference between network and Internet.

  An IPv4 network:  A specific network that has an IPv4-only
      deployment.  This could be an enterprise's IPv4-only network or an
      ISP's IPv4-only network.  The size of an IPv4 network is
      relatively small comparing to the global IPv4 Internet.

The key words are: "A specific network" and "relatively small comparing 
to the global IPv4 Internet".
>
>
>     (3) Other comments are inline.
>     [bo] Yes, we knew NAT-PT was deprecated by RFC 4966. However, the
>     comments we pointed out is focus on stateful translation's
>     limitation. We think "the stateful translation only support IPv6
>     initiated communication" is only related to NAT64. It is hard
>     to say "stateful translation can only support IPv6 initiated
>     communication" because "NAT64 can only do it". We agreed NAT64 is
>     one of significant stateful translation, but we do not agree it
>     represents all behaviours of stateful translation.
>

We are working on the standard of translation. NAT-PT was deprecated and 
the stateful translation proved by behave working group is NAT64 at this 
moment.
>
>     [bo]About the ALG issue, we should state "all IP packet payload
>     included IP address need do ALG".
>
Agree, if the end systems are in different address families.

xing

>  
>  
>  
>  
>
>     Regards,
>
>     xing
>
>
>     bo zhou 写道:
>
>         Hi Fred and others authors of framework for IPv4/IPv6 translation
>          We have some texts and comments for this draft. Originally,
>         we tried to propose our comments and discuss them inside last
>         Wed's interim meeting, Unfortunately, the shortage of time
>         caused we have no time to address them. Hence, we pointed them
>         out here.
>          1)  We need more clear IP family host definitions
>         Inside the draft, existing “IPv6-only” and “IPv4-only”
>         definitions are targeting to IP host capabilities, but there
>         are unclear descriptions of “application instances”. Hence we
>         propose the  IP family host shall be defined combining with
>         four aspects:
>         a. the application type installed on the host,
>         b.the IP family stack supported by a host
>         c.the IP family routing assigned by a network
>         d.available IP family connectivity
>         According to the above principles, following IP family host
>         definitions are suggested to replace current “IPv6-only” and
>         “IPv4-only” definitions and propose a new definition for
>         supplement:
>         IPv4 only host comprises an IPv4 enabled end system stack plus
>         routing in the network, IPv4 applications installed on the
>         host. It implies two application instances with installed IPv4
>         applications are capable of communication using IPv4, but not
>         IPv6 ……
>         IPv6 only host comprises an IPv6 enabled end system stack plus
>         routing in the network, IPv6 applications installed on the
>         host. It implies two application instances with installed IPv6
>         applications are capable of communication using IPv6, but not
>         IPv4 ……
>         IPv4-inherited IPv6 host comprises an IPv4/IPv6 enabled end
>         system dual-stack plus IPv6 routing in the network, IPv4/IPv6
>         applications installed on the host. It implies two application
>         instances with installed IPv4/IPv6 applications are capable of
>         communication using IPv6 – they have IPv4/IPv6 dual-stack,
>         network support including routing in IPv6, IPv4/IPv6
>         applications can communicate with IPv4/IPv6 hosts respectively.
>         Furthermore, the “An IPv6 network” are proposed to redefined
>         as: A specific network that has IPv6-only and IPv4-inherited
>         IPv6 implementation.
>          2）How to differentiate IPv6 network & IPv6 Internet
>         The difference between IPv4 network and IPv4 Internet could be
>         identified by CGN (NAT) functionalities. However, there are no
>         CGN(NAT) functionalities defined in IPv6 world. It’s difficult
>         to differentiate IPv6 network and Internet. Hence, we suggest
>         to re-define the IPv6 Internet in the framework draft based on
>         network scale size, as follows: IPv6 Internet means a global
>         system of interconnected IPv6 networks, including enterprise’s
>         IPv6 networks and ISP’s IPv6 networks.
>         Otherwise, we have to introduce a new NAT equipment with NAT66
>         functionalities to differentiate IPv6 network & IPv6 Internet.
>          3) Other comments related to the contexts
>         Comments for 3.1.1 and 3.2.2 about stateful translation
>         statements:
>         For stateful translation, the draft has mentioned “the
>         stateful translation only support IPv6 initiated
>         communication”. But NAT-PT could support both directional
>         communication without this limitation. Hence, we suggest to
>         remove this descriptions or point out it is only targeting to
>         NAT64
>
>
>     NAT-PT was deprecated by RFC 4966.
>
>
>         Comments for 3.3 about ALG descriptions:
>         It only list the demand for FTP ALG. But there should be
>         support any kind of applications in which IP address is
>         concluded in payload, such as SIP, RTSP. Hence, we suggest to
>         extend ALG scope avoid reader’s misunderstanding.
>
>
>     Yes, agree.
>
>          Hope all these are meaningful.
>          Regards,
>
>         Bo Zhou
>         China Mobile
>         ------------------------------------------------------------------------
>
>         _______________________________________________
>         Behave mailing list
>         [email-masked] <mailto:[email-masked]>
>         https://www.ietf.org/mailman/listinfo/behave
>          
>
>
>
>
>
> -- 
> Regards,
>
> Bo Zhou
> China Mobile
> ------------------------------------------------------------------------
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave
>

---

From: Chen Gang <[email-masked]>
Date: Fri, 11 Sep 2009 11:07:06 +0800

Hello Xing,

With regard to the latest difinition of IPv6-only, there are some questioins
for clarifications.

Within the sentence "It implies that two application instances are capable
of communicating using IPv6, but not IPv4 - they have an IPv6 stack", does
"two application instances" means "IPv4 application instances and IPv6
application instances"?

If that is true, I guess "IPv6-only" need do some sort of application ALG or
host-based translation in order to let IPv4 application to accomodate a
IPv6-only environment.

If my understanding is correct, you may also need to clarify this meaning in
the IPv6-only definition or separate this meaning to new defined terms, like
Bo suggested "
IPv4-inherited IPv6 host".

Thanks

BRs

Gang

2009/9/11 Xing Li <[email-masked]>

>> [bo] Yes, we want to introduce the application type to make the definition
>> more clearly.
>>
>> [bo] Sorry, I cannot find any words in Sec.1.2 to define the difference
>> between network and Internet.
>>
>
> The key words are: "A specific network" and "relatively small comparing to
> the global IPv4 Internet".
>
>>
>>

-- 
陈刚
[email-masked]

---

From: bo zhou <[email-masked]>
Date: Fri, 11 Sep 2009 13:41:27 +0800

For my understanding, "two application instances" here indicates two
IPv6-only instances, like two IPv6  host, both installed IPv6 application,
and they want to communicate with each other via IPv6 network.
Am I right?

Regards,

Bo Zhou

2009/9/11 Chen Gang <[email-masked]>

> Hello Xing,
>
> With regard to the latest difinition of IPv6-only, there are some
> questioins for clarifications.
>
> If that is true, I guess "IPv6-only" need do some sort of application ALG
> or host-based translation in order to let IPv4 application to accomodate a
> IPv6-only environment.
>
> If my understanding is correct, you may also need to clarify this meaning
> in the IPv6-only definition or separate this meaning to new defined terms,
> like Bo suggested "

-- 
Regards,

Bo Zhou
China Mobile

---

From: bo zhou <[email-masked]>
Date: Fri, 11 Sep 2009 14:02:20 +0800

Reply inline.

> we have made some modifications in draft-ietf-behave-v6v4-framework-01

    [bo] Yes, I found it.

> the global IPv4 Internet".

      [bo] From aboved words, i have feeling that the difference between
network and Internet is SIZE only. I am not sure the size is the major thing
to distinguish between the network and Internet, Is there any equipment,
like NAT, inside the network can help us distinguish between network and
Internet?

> the stateful translation proved by behave working group is NAT64 at this

       [bo] Agree at the moment, only NAT64 can behave stateful translation
inside behave working group, but how about in future. I am not sure the
NAT64 is the ONE solution to represent stateful translation.

-- 
Regards,

Bo Zhou
China Mobile

---

From: Chen Gang <[email-masked]>
Date: Fri, 11 Sep 2009 14:07:36 +0800

Anyhow, there are some ambiguities on application type.
The author is kindly asked to clarify the information and make IPv6-only
definition more clear.

Gang

2009/9/11 bo zhou <[email-masked]>

>> Within the sentence "It implies that two application instances are
>> capable of communicating using IPv6, but not IPv4 - they have an IPv6
>> stack", does "two application instances" means "IPv4 application instances
>> and IPv6 application instances"?
>>

-- 
陈刚
[email-masked]

---

From: "Dan Wing" <[email-masked]>
Date: Fri, 11 Sep 2009 14:44:22 -0700

On Thursday, September 10, 2009 4:13pm, Xing Li wrote:

...
> Agree, if the end systems are in different address families.

It is important to avoid ALG issues raised in 
http://tools.ietf.org/html/rfc4924#section-2.3 

-d

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 12 Sep 2009 11:14:31 +1200

On 2009-09-11 18:02, bo zhou wrote:
...
> like NAT, inside the network can help us distinguish between network and

I think the honest answer is no. The variations of how addressing realms
are separated from each other are so great that I can't see any
mathematically precise way to define them.

Operationally, we can perhaps define the point of separation as anywhere
that it is decided to put a translation device. But that doesn't help
anybody to decide where such a point is. I think the definition quoted
above is as good as it can be.

    Brian

---

From: Dave Thaler <[email-masked]>
Date: Fri, 11 Sep 2009 23:44:49 +0000

One distinction, which isn't always precise but is probably useful is
that "a network" is often managed by a common organization, whereas
the "Internet" is certainly not.  Hence a scenario with "a network"
implies the operators of that network can unilaterally do something
to enable that scenario.

-Dave

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Brian E Carpenter
Sent: Friday, September 11, 2009 4:15 PM
To: bo zhou
Cc: [email-masked]; [email-masked]; [email-masked]; liu dapeng; [email-masked]; Xing Li; [email-masked]; [email-masked]
Subject: Re: [BEHAVE] Proposed text and comments for framework for IPv4/IPv6 translation

    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 12 Sep 2009 13:24:34 +1200

Hi Dave,

Yes, and that fits well with my point, since presumably it's
the operator of the "network" that will decide to configure
a translator at the boundary.

Of course, this can be confused if the network is a virtual
one, overlaid on a physical network managed by someone else.

    Brian

---

From: Chen Gang <[email-masked]>
Date: Sat, 12 Sep 2009 22:40:21 +0800

For my understanding, current definitions of network and Internet are
distinguished from operational views, which may lack technical
considerations. We may need to find an technical dividing line to make that
more clear.
Could the NAT or any equipment be served as the distinction point?

Gang
2009/9/12 Brian E Carpenter <[email-masked]>

> > Cc: [email-masked]; [email-masked]; [email-masked]; liu
> dapeng; [email-masked]; Xing Li; [email-masked]; [email-masked]

-- 
陈刚
[email-masked]

---

From: bo zhou <[email-masked]>
Date: Sun, 13 Sep 2009 15:35:50 +0800

NAT44 can be the distinction point for IPv4 network and IPv4 Internet.
But how about the distinction point for IPv6 network and IPv6 Internet,
shall we introduce NAT66?

regards,

Bo Zhou

2009/9/12 Chen Gang <[email-masked]>

-- 
Regards,

Bo Zhou
China Mobile

---

From: joel jaeggli <[email-masked]>
Date: Sun, 13 Sep 2009 00:56:10 -0700

One would think that the terms:

"intranet"

"A network" (Singluar0

"an internet(work)"

and

"the Internet"

Would be sufficiently unambiguous that we would not have to resort to
wordsmithing or the imposition of NAT in the definition in order to have
meaning.

And no I don't distinguish between internal connectivity and external on
the basis of the existence or lack thereof of a nat and neither should you.

bo zhou wrote:
> 2009/9/12 Chen Gang <[email-masked] <mailto:[email-masked]>>
> 
>     For my understanding, current definitions of network and Internet
>     are distinguished from operational views, which may lack technical
>     considerations. We may need to find an technical dividing line to
>     make that more clear.
>     2009/9/12 Brian E Carpenter <[email-masked]
>     <mailto:[email-masked]>>
> 
>         Hi Dave,
> 
>         > From: [email-masked] <mailto:[email-masked]>
>         [mailto:[email-masked]
>         <mailto:[email-masked]>] On Behalf Of Brian E Carpenter
>         > Cc: [email-masked] <mailto:[email-masked]>;
>         [email-masked] <mailto:[email-masked]>;
>         [email-masked] <mailto:[email-masked]>; liu dapeng;
>         [email-masked] <mailto:[email-masked]>; Xing Li; [email-masked]
>         <mailto:[email-masked]>; [email-masked]
>         <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>
> 
> 
> 
> 
> -- 
> Regards,
> 
> Bo Zhou
> China Mobile
> 
>

---

From: "David Harrington" <[email-masked]>
Date: Sun, 13 Sep 2009 20:28:28 -0400

+1

dbh 

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of joel jaeggli
> Sent: Sunday, September 13, 2009 3:56 AM
> To: bo zhou
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; liu dapeng; Dave Thaler; Chen Gang; Xing Li; 
> [email-masked]; [email-masked]
> >         > One distinction, which isn't always precise but 
> is probably
> >         useful is
> >         > that "a network" is often managed by a common 
> organization,
> >         whereas
> >         > the "Internet" is certainly not.  Hence a scenario with
"a
> >         network"
> >         > implies the operators of that network can unilaterally
do
> >         something
> >         > Subject: Re: [BEHAVE] Proposed text and comments 
> for framework
> >         for IPv4/IPv6 translation
> >         >
> >         >>>> [bo] Sorry, I cannot find any words in Sec.1.2 
> to define
> >         the difference
> >         >>>     deployment.  This could be an enterprise's
IPv4-only
> >         network or an
> >         >>> The key words are: "A specific network" and
"relatively
> >         small comparing to
> >         >> network and Internet is SIZE only. I am not sure 
> the size is
> >         the major thing
> >         >> to distinguish between the network and Internet, 
> Is there any
> >         equipment,
> >         >> like NAT, inside the network can help us 
> distinguish between
> >         network and
> >         >> Internet?
> >         >
> >         > Operationally, we can perhaps define the point of 
> separation
> >         as anywhere
> >     ??

---

From: bo zhou <[email-masked]>
Date: Tue, 15 Sep 2009 14:33:07 +0800

Do you think we should avoid ALG, or ignore ALG inside framework?

Regards,

Bo

-- 
Regards,

Bo Zhou
China Mobile

---

From: bo zhou <[email-masked]>
Date: Tue, 15 Sep 2009 14:40:49 +0800

I am confused.
For example: The google servers has located inside the AT&T network. then a
AT&T customer try to visit www.google.com and access the google server which
located inside the AT&T network. Shall we say this customer access Internet
or network?

Regards,

Bo Zhou

-- 
Regards,

Bo Zhou
China Mobile